PrintEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.event, class: PrintEvent
Keywords: javax.print.event.PrintEvent class

# Class PrintEvent

java.lang.Object
java.util.EventObject
javax.print.event.PrintEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PrintJobAttributeEvent, PrintJobEvent, PrintServiceAttributeEvent`

public class PrintEvent extends EventObject
Class `PrintEvent` is the super class of all Print Service API events.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintEvent(Object source)`
  Constructs a `PrintEvent` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string representation of this `PrintEvent`.

  ### Methods declared in class EventObject

  `getSource`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PrintEvent

    public PrintEvent(Object source)
    Constructs a `PrintEvent` object.
    Parameters:
      `source` - is the source of the event
    Throws:
      `IllegalArgumentException` - if `source` is `null`

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `PrintEvent`.
    Overrides:
      `toString` in class `EventObject`
    Returns:
      a message describing the event